Bug 440695 - Unable to inspect the Splits when account is closed.
Summary: Unable to inspect the Splits when account is closed.
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: ux-ui (show other bugs)
Version: 5.1.2
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-07 14:31 UTC by Dawid Wróbel
Modified: 2021-11-04 17:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2021-08-07 14:31:06 UTC
SUMMARY
When account is closed, it is impossible to inspect the splits of any transaction in that account. What's worse, it's also impossible to inspect these transactions from the counterparty account/category.


STEPS TO REPRODUCE
1. Close an account with a transaction that has split
2. Try to inspect the splits of that transaction
3. Go to one the splits' account/category and try to inspect the splits from that view

OBSERVED RESULT
You can't inspect the splits from any of these views.

EXPECTED RESULT
Splits view should open (in view mode only) even if any of its splits' account is closed.
Comment 1 Dawid Wróbel 2021-08-22 14:55:10 UTC
Another issue is that if any of the accounts included in a split transaction is closed, it becomes impossible to edit it.
Comment 2 Fabiano Caruana 2021-10-29 12:55:05 UTC
Hello KMyMoney-Team,

I also would like to be able to view the split bookings even with a closed account (not edit).
At the moment I have to reactivate the account for this function (and then don't forget to close it again).

regards
Udo
Comment 3 Thomas Baumgart 2021-10-31 09:14:50 UTC
Git commit 15efbeb0c749152436f051c1f4a7454e650690b3 by Thomas Baumgart.
Committed on 31/10/2021 at 09:14.
Pushed by tbaumgart into branch '5.1'.

Implement read-only mode for transaction editors

This change is for the stable branch only. Master needs its own
implementation.
FIXED-IN: 5.1.3

M  +10   -0    kmymoney/dialogs/investtransactioneditor.cpp
M  +38   -16   kmymoney/dialogs/kmymoneysplittable.cpp
M  +7    -1    kmymoney/dialogs/kmymoneysplittable.h
M  +39   -17   kmymoney/dialogs/ksplittransactiondlg.cpp
M  +7    -0    kmymoney/dialogs/ksplittransactiondlg.h
M  +11   -0    kmymoney/dialogs/stdtransactioneditor.cpp
M  +7    -1    kmymoney/dialogs/transactioneditor.cpp
M  +7    -0    kmymoney/dialogs/transactioneditor.h
M  +28   -26   kmymoney/dialogs/transactioneditor_p.h
M  +16   -45   kmymoney/views/kgloballedgerview.cpp
M  +0    -23   kmymoney/views/kgloballedgerview_p.h

https://invent.kde.org/office/kmymoney/commit/15efbeb0c749152436f051c1f4a7454e650690b3
Comment 4 Fabiano Caruana 2021-11-01 06:03:10 UTC
Hi Thomas,

I have tested with the AppImage ... GREAT !!!

Thank you!

greetings
Udo
Comment 5 Thomas Baumgart 2021-11-04 17:08:03 UTC
Git commit e0e1c65ef53e631b3fea63ddc64340478794bf72 by Thomas Baumgart.
Committed on 04/11/2021 at 17:07.
Pushed by tbaumgart into branch 'master'.

Implement read-only mode for transaction editors

This is the implementation of the feature in master

M  +5    -0    kmymoney/views/journaldelegate.cpp
M  +8    -4    kmymoney/views/kmymoneyview.cpp
M  +41   -24   kmymoney/views/newspliteditor.cpp
M  +2    -0    kmymoney/views/newspliteditor.h
M  +29   -8    kmymoney/views/newtransactioneditor.cpp
M  +3    -0    kmymoney/views/newtransactioneditor.h
M  +1    -1    kmymoney/views/simpleledgerview.cpp
M  +14   -4    kmymoney/views/splitdelegate.cpp
M  +1    -0    kmymoney/views/splitdelegate.h
M  +35   -22   kmymoney/views/splitdialog.cpp
M  +1    -0    kmymoney/views/splitdialog.h
M  +8    -0    kmymoney/views/splitview.cpp
M  +2    -0    kmymoney/views/splitview.h
M  +13   -1    kmymoney/views/transactioneditorbase.cpp
M  +3    -0    kmymoney/views/transactioneditorbase.h

https://invent.kde.org/office/kmymoney/commit/e0e1c65ef53e631b3fea63ddc64340478794bf72